Bug 130178 - system-config-display needs to use "kbd" keyboard driver in xorg 6.8.0
system-config-display needs to use "kbd" keyboard driver in xorg 6.8.0
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-08-17 14:47 EDT by Mike A. Harris
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-25 06:16:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike A. Harris 2004-08-17 14:47:29 EDT
The legacy "keyboard" driver in X, is now deprecated and the new
"kbd" driver that's been there for a while now is enabled by
default.  system-config-display needs to be updated to configure
xorg.conf to use the "kbd" driver instead now.
Comment 1 Paul Nasrat 2004-08-19 02:59:14 EDT
pyxf86config 0.3.19-1 should already be doing this, which is what
system-config-display uses for the xorg.conf template:

* Wed Aug 11 2004 Jeremy Katz <katzj@redhat.com> - 0.3.19-1
- Change keyboard driver to kbd

Is this on a fresh install or an upgrade?
Comment 2 Paul Nasrat 2004-08-25 06:16:22 EDT
tested on rawhide

import xf86config
xconfig = xf86config.createTemplate()
xconfig.write("/tmp/xorg.conf")

[root@pseries tmp]# grep kbd /tmp/xorg.conf
        Driver      "kbd"

Note You need to log in before you can comment on or make changes to this bug.